<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Frameset//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-frameset.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core">
<h:head>
	<title>Prime Faces</title>
</h:head>
<h:body>

	<h:form id="formulario">
		<p:messages autoUpdate="true" showDetail="true" />
		<h:panelGrid columns="4">
			<p:outputLabel value="ID: " />
			<p:inputText readonly="true"
				value="#{usuarioPessoaManagedBean.pessoa.id}" />

			<p:outputLabel value="Nome: " />
			<p:inputText value="#{usuarioPessoaManagedBean.pessoa.nome}"
				required="true" requiredMessage="Informe o nome" />

			<p:outputLabel value="Sobrenome: " />
			<p:inputText value="#{usuarioPessoaManagedBean.pessoa.sobrenome}" />


			<p:outputLabel value="Idade: ">

				<p:watermark value="Informe a idade" for="ididade" />
			</p:outputLabel>
			<p:inputText value="#{usuarioPessoaManagedBean.pessoa.idade}"
				id="ididade" />

			<p:outputLabel value="Salário " />
			<p:inputNumber value="#{usuarioPessoaManagedBean.pessoa.salario}" />

			<p:outputLabel value="Login: " />
			<p:inputText value="#{usuarioPessoaManagedBean.pessoa.login}" />

			<p:outputLabel value="Sexo" />
			<p:selectOneMenu style="width:190"
				value="#{usuarioPessoaManagedBean.pessoa.sexo}">
				<f:selectItem itemValue="MASCULINO" itemLabel="Masculino" />
				<f:selectItem itemValue="FEMININO" itemLabel="Feminino" />
			</p:selectOneMenu>

			<p:outputLabel value="Cep" />
			<p:inputText value="#{usuarioPessoaManagedBean.pessoa.cep}">
				<f:ajax event="blur" execute="@this"
					listener="#{usuarioPessoaManagedBean.pesquisaCep}"
					render="logradouro bairro localidade" />
			</p:inputText>

			<p:outputLabel value="Logradouro" />
			<p:inputText value="#{usuarioPessoaManagedBean.pessoa.logradouro}"
				id="logradouro" />

			<p:outputLabel value="Bairro" />
			<p:inputText value="#{usuarioPessoaManagedBean.pessoa.bairro}"
				id="bairro" />

			<p:outputLabel value="Localidade" />
			<p:inputText value="#{usuarioPessoaManagedBean.pessoa.localidade}"
				id="Localidade" />

			<p:outputLabel value="Senha: " />
			<p:password value="#{usuarioPessoaManagedBean.pessoa.senha}" />

			<p:outputLabel value="Foto " />
			<p:fileUpload mode="advanced" label="Adicionar" update="imagem"
				auto="true" fileUploadListener="#{usuarioPessoaManagedBean.upload}" />

			<h:outputLabel>Imagem:</h:outputLabel>

			<h:graphicImage id="imagem"
				value="#{usuarioPessoaManagedBean.pessoa.imagem}" width="120"
				height="100" />
		</h:panelGrid>
		<br />
		<br />

		<p:commandButton value="Salvar" ajax="false"
			action="#{usuarioPessoaManagedBean.salvar}" />

		<p:commandButton value="Novo" immediate="true"
			action="#{usuarioPessoaManagedBean.novo}">
			<f:ajax execute="@this" render="@form" />

		</p:commandButton>

		<br />
		<br />
	</h:form>


	<h:form>

		<p:panel header="Consular Usuário">
			<h:panelGrid columns="3">
				<h:outputLabel value="Nome: " />
				<p:inputText value="#{usuarioPessoaManagedBean.campoPesquisa}" />
				<p:commandButton value="Buscar"
					actionListener="#{usuarioPessoaManagedBean.pesquisarNome}"
					update="formtable :barChar" />

			</h:panelGrid>

		</p:panel>
	</h:form>

	<h:form id="formtable">
		<p:dataTable value="#{usuarioPessoaManagedBean.listPessoa}" var="user"
			rows="5" paginator="true" lazy="true" paginatorPosition="bottom"
			paginatorTemplate="{FirstPageLink} {PageLinks} {LastPageLink}">
			<p:column headerText="ID" width="20">
				<h:outputText value="#{user.id}"></h:outputText>
			</p:column>

			<p:column headerText="Nome" width="600">
				<h:outputText value="#{user.nome}"></h:outputText>
			</p:column>

			<p:column>
				<center>
					<h:commandLink immediate="true"
						actionListener="#{usuarioPessoaManagedBean.download}">
						<f:param name="fileUpload" value="#{user.id}" />
						<h:graphicImage url="resources/img/picture.png" width="25"
							height="25" />
					</h:commandLink>
				</center>
			</p:column>


			<p:column headerText="Editar">
				<center>
					<h:commandLink id="botaoeditar" immediate="true">
						<f:setPropertyActionListener value="#{user}"
							target="#{usuarioPessoaManagedBean.pessoa}" />
						<f:ajax execute="botaoeditar" render=":formulario" />
						<h:graphicImage url="resources/img/tools-and-utensils.png"
							width="25" height="25" />
					</h:commandLink>
				</center>
			</p:column>

			<p:column headerText="Excluir">
				<center>
					<h:commandLink action="#{usuarioPessoaManagedBean.remover}"
						id="botaoRemover">
						<f:setPropertyActionListener value="#{user}"
							target="#{usuarioPessoaManagedBean.pessoa}" />
						<f:ajax execute="botaoRemover" render="@form :barChar" />
						<h:graphicImage url="resources/img/rubber.png" width="25"
							height="25" />
					</h:commandLink>
				</center>
			</p:column>


			<p:column headerText="Telefones">
				<center>
					<p:commandLink immediate="true" action="telefonefaces"
						id="botaotelefone">
						<h:graphicImage url="resources/img/call.png" width="25"
							height="25" />
						<f:param name="codigouser" value="#{user.id}" />
					</p:commandLink>
				</center>
			</p:column>

			<p:column headerText="E-mails">
				<center>
					<p:commandLink update=":formtable:dialogEmail"
						oncomplete="PF('dialogEmail').show()">
						<f:setPropertyActionListener value="#{user}"
							target="#{usuarioPessoaManagedBean.pessoa}" />
						<h:graphicImage width="25" height="25"
							url="resources/img/email.png" />

					</p:commandLink>
				</center>
			</p:column>


		</p:dataTable>

		<p:dialog id="dialogEmail" header="E-mails" widgetVar="dialogEmail"
			position="center" modal="true" width="500px" resizable="false">

			<h:panelGrid columns="3">
				<h:outputLabel value="E-Mail" />
				<p:inputText value="#{usuarioPessoaManagedBean.email.email}"
					id="emailUserAdd" style="width:315px" />
				<p:commandButton value="Adicionar"
					update="emailUserAdd dataTableEmail"
					actionListener="#{usuarioPessoaManagedBean.addEmail}"></p:commandButton>

			</h:panelGrid>
			<p:dataTable value="#{usuarioPessoaManagedBean.pessoa.emailUsers}"
				id="dataTableEmail" var="email">
				<p:column headerText="Id" width="20">
					<h:outputLabel value="#{email.id}" />
				</p:column>

				<p:column headerText="E-mail">
					<h:outputLabel value="#{email.email}" />
				</p:column>

				<p:column headerText="Remover" width="60 ">

					<h:commandLink id="botaoremoveremail"
						actionListener="#{usuarioPessoaManagedBean.removerEmail}">
						<f:param name="codigoemail" value="#{email.id}" />
						<f:ajax execute="botaoremoveremail" render="dataTableEmail" />
						<h:graphicImage url="resources/img/rubber.png" width="25"
							height="25" />
					</h:commandLink>
				</p:column>
			</p:dataTable>
		</p:dialog>
	</h:form>
	<h1>PrimeFaces</h1>
	<h:form>
		<p:breadCrumb>
			<p:menuitem />
			<p:menuitem value="Pagina JSF" action="index.jsf" />
			<p:menuitem value="Pagina PrimeFaces" action="primefaces.jsf" />

		</p:breadCrumb>

	</h:form>
	<h:form>
		<h:messages showDetail="true" showSummary="false" />
		<h:panelGrid columns="2">
			<h:outputLabel value="ID:" />
			<h:inputText readonly="true"
				value="#{usuarioPessoaManagedBean.pessoa.id}" />

			<h:outputLabel value="Nome:" />
			<h:inputText value="#{usuarioPessoaManagedBean.pessoa.nome}"
				required="true" requiredMessage="Informe o nome!" />

			<h:outputLabel value="Sobrenome" />
			<h:inputText value="#{usuarioPessoaManagedBean.pessoa.sobrenome}" />


			<h:outputLabel value="Idade:" />
			<h:inputText value="#{usuarioPessoaManagedBean.pessoa.idade}" />



			<h:outputLabel value="Login" />
			<h:inputText value="#{usuarioPessoaManagedBean.pessoa.login}" />

			<h:outputLabel value="Senha:" />
			<h:inputSecret value="#{usuarioPessoaManagedBean.pessoa.senha}" />
		</h:panelGrid>

		<h:commandButton value="Salvar"
			action="#{usuarioPessoaManagedBean.salvar}" />
		<h:commandButton value="Novo"
			action="#{usuarioPessoaManagedBean.novo}" />

		<p:dataTable value="#{usuarioPessoaManagedBean.listPessoa}" var="user"
			cellpadding="15" border="1">

			<f:facet name="header">Lista de usuários </f:facet>
			<h:column>
				<f:facet name="header">Id </f:facet>
				<h:outputLabel value="#{user.id}" />
			</h:column>

			<h:column>
				<f:facet name="header">Lista Nome </f:facet>
				<h:outputLabel value="#{user.nome}" />
			</h:column>



			<h:column>
				<f:facet name="header">Login</f:facet>
				<h:outputLabel value="#{user.login}" />
			</h:column>


			<h:column>
				<f:facet name="header">Idade</f:facet>
				<h:outputLabel value="#{user.idade}" />
			</h:column>

			<h:column>
				<f:facet name="header">Editar</f:facet>
				<h:commandLink value="Editar">
					<f:setPropertyActionListener value="#{user}"
						target="#{usuarioPessoaManagedBean.pessoa}" />

				</h:commandLink>
			</h:column>

			<h:column>
				<f:facet name="header">Deletar</f:facet>
				<h:commandLink value="Deletar"
					action="#{usuarioPessoaManagedBean.remover}">
					<f:setPropertyActionListener value="#{user}"
						target="#{usuarioPessoaManagedBean.pessoa}" />

				</h:commandLink>
			</h:column>

		</p:dataTable>
	</h:form>

	<p:chart type="bar" id="barChar"
		model="#{usuarioPessoaManagedBean.bar}" />
</h:body>
</html>